<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 16:56:55 CEST 2020 -->
<title>ThreadEvents</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ThreadEvents";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ThreadEvents.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/Parameters.html" title="class in org.polarsys.chess.monitoring.traceanalyser"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/TraceAnalyser.html" title="class in org.polarsys.chess.monitoring.traceanalyser"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/polarsys/chess/monitoring/traceanalyser/ThreadEvents.html" target="_top">Frames</a></li>
<li><a href="ThreadEvents.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.monitoring.traceanalyser</div>
<h2 title="Class ThreadEvents" class="title">Class ThreadEvents</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.monitoring.traceanalyser.ThreadEvents</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ThreadEvents</span>
extends java.lang.Object</pre>
<div class="block">The Class ThreadEvents.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/ThreadEvents.html#ThreadEvents-java.lang.String-java.util.ArrayList-">ThreadEvents</a></span>(java.lang.String&nbsp;inThreadID,
            java.util.ArrayList&lt;<a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/Event.html" title="class in org.polarsys.chess.monitoring.traceanalyser">Event</a>&gt;&nbsp;inThreadEvents)</code>
<div class="block">Instantiates a new thread events.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/ThreadEvents.html#FindLastSleepIfAnyAvailable-long-">FindLastSleepIfAnyAvailable</a></span>(long&nbsp;currentWakeupTime)</code>
<div class="block">Find last sleep if any available.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/Event.html" title="class in org.polarsys.chess.monitoring.traceanalyser">Event</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/ThreadEvents.html#GetBlockedEvents--">GetBlockedEvents</a></span>()</code>
<div class="block">Gets the blocked events.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/ThreadEvents.html#GetFirstReadyEventInGivenInterval-long-long-">GetFirstReadyEventInGivenInterval</a></span>(long&nbsp;timeStart,
                                 long&nbsp;timeEnd)</code>
<div class="block">Gets the first ready event in given interval.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/ThreadEvents.html#GetFirstRunningEventInGivenInterval-long-long-">GetFirstRunningEventInGivenInterval</a></span>(long&nbsp;timeStart,
                                   long&nbsp;timeEnd)</code>
<div class="block">Gets the first running event in given interval.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/ThreadEvents.html#GetLastSleepEventInGivenInterval-long-long-">GetLastSleepEventInGivenInterval</a></span>(long&nbsp;timeStart,
                                long&nbsp;timeEnd)</code>
<div class="block">Gets the last sleep event in given interval.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/Event.html" title="class in org.polarsys.chess.monitoring.traceanalyser">Event</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/ThreadEvents.html#GetReadyEvents--">GetReadyEvents</a></span>()</code>
<div class="block">Gets the ready events.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/Event.html" title="class in org.polarsys.chess.monitoring.traceanalyser">Event</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/ThreadEvents.html#GetRunningEvents--">GetRunningEvents</a></span>()</code>
<div class="block">Gets the running events.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/Event.html" title="class in org.polarsys.chess.monitoring.traceanalyser">Event</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/ThreadEvents.html#GetSleepEvents--">GetSleepEvents</a></span>()</code>
<div class="block">Gets the sleep events.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/ThreadEvents.html#GetThreadID--">GetThreadID</a></span>()</code>
<div class="block">Gets the thread ID.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/Event.html" title="class in org.polarsys.chess.monitoring.traceanalyser">Event</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/ThreadEvents.html#GetWakeupEvents--">GetWakeupEvents</a></span>()</code>
<div class="block">Gets the wakeup events.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ThreadEvents-java.lang.String-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ThreadEvents</h4>
<pre>public&nbsp;ThreadEvents(java.lang.String&nbsp;inThreadID,
                    java.util.ArrayList&lt;<a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/Event.html" title="class in org.polarsys.chess.monitoring.traceanalyser">Event</a>&gt;&nbsp;inThreadEvents)</pre>
<div class="block">Instantiates a new thread events.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>inThreadID</code> - the in thread ID</dd>
<dd><code>inThreadEvents</code> - the in thread events</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="GetRunningEvents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GetRunningEvents</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/Event.html" title="class in org.polarsys.chess.monitoring.traceanalyser">Event</a>&gt;&nbsp;GetRunningEvents()</pre>
<div class="block">Gets the running events.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the array list</dd>
</dl>
</li>
</ul>
<a name="GetReadyEvents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GetReadyEvents</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/Event.html" title="class in org.polarsys.chess.monitoring.traceanalyser">Event</a>&gt;&nbsp;GetReadyEvents()</pre>
<div class="block">Gets the ready events.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the array list</dd>
</dl>
</li>
</ul>
<a name="GetBlockedEvents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GetBlockedEvents</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/Event.html" title="class in org.polarsys.chess.monitoring.traceanalyser">Event</a>&gt;&nbsp;GetBlockedEvents()</pre>
<div class="block">Gets the blocked events.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the array list</dd>
</dl>
</li>
</ul>
<a name="GetSleepEvents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GetSleepEvents</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/Event.html" title="class in org.polarsys.chess.monitoring.traceanalyser">Event</a>&gt;&nbsp;GetSleepEvents()</pre>
<div class="block">Gets the sleep events.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the array list</dd>
</dl>
</li>
</ul>
<a name="GetWakeupEvents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GetWakeupEvents</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/Event.html" title="class in org.polarsys.chess.monitoring.traceanalyser">Event</a>&gt;&nbsp;GetWakeupEvents()</pre>
<div class="block">Gets the wakeup events.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the array list</dd>
</dl>
</li>
</ul>
<a name="GetThreadID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GetThreadID</h4>
<pre>public&nbsp;java.lang.String&nbsp;GetThreadID()</pre>
<div class="block">Gets the thread ID.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the string</dd>
</dl>
</li>
</ul>
<a name="GetFirstReadyEventInGivenInterval-long-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GetFirstReadyEventInGivenInterval</h4>
<pre>public&nbsp;long&nbsp;GetFirstReadyEventInGivenInterval(long&nbsp;timeStart,
                                              long&nbsp;timeEnd)</pre>
<div class="block">Gets the first ready event in given interval.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timeStart</code> - the time start</dd>
<dd><code>timeEnd</code> - the time end</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the long</dd>
</dl>
</li>
</ul>
<a name="GetFirstRunningEventInGivenInterval-long-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GetFirstRunningEventInGivenInterval</h4>
<pre>public&nbsp;long&nbsp;GetFirstRunningEventInGivenInterval(long&nbsp;timeStart,
                                                long&nbsp;timeEnd)</pre>
<div class="block">Gets the first running event in given interval.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timeStart</code> - the time start</dd>
<dd><code>timeEnd</code> - the time end</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the long</dd>
</dl>
</li>
</ul>
<a name="GetLastSleepEventInGivenInterval-long-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GetLastSleepEventInGivenInterval</h4>
<pre>public&nbsp;long&nbsp;GetLastSleepEventInGivenInterval(long&nbsp;timeStart,
                                             long&nbsp;timeEnd)</pre>
<div class="block">Gets the last sleep event in given interval.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timeStart</code> - the time start</dd>
<dd><code>timeEnd</code> - the time end</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the long</dd>
</dl>
</li>
</ul>
<a name="FindLastSleepIfAnyAvailable-long-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FindLastSleepIfAnyAvailable</h4>
<pre>public&nbsp;long&nbsp;FindLastSleepIfAnyAvailable(long&nbsp;currentWakeupTime)</pre>
<div class="block">Find last sleep if any available.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>currentWakeupTime</code> - the current wakeup time</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the long</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ThreadEvents.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/Parameters.html" title="class in org.polarsys.chess.monitoring.traceanalyser"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/polarsys/chess/monitoring/traceanalyser/TraceAnalyser.html" title="class in org.polarsys.chess.monitoring.traceanalyser"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/polarsys/chess/monitoring/traceanalyser/ThreadEvents.html" target="_top">Frames</a></li>
<li><a href="ThreadEvents.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
